package org.pmdreports.report;

import java.util.Collection;

/**
 * Interface defining a report and how to generate.
 */
public interface Report {
	/**
	 * Generate the report - which gets written to the file system.
	 */
	void generate(Collection<Report> reports);

	/**
	 * Return the name of the report (i.e. as it is stored on the file system.
	 */
	String getFileName();

	String getReportTitle();

	boolean isComponentReport();

	boolean isProjectReport();
}
